Create Pipeline From Suggestion
POST /pipelines/from-suggestion
POST
/pipelines/from-suggestion
Persist a (possibly edited) PipelineSuggestion as a real pipeline.
Validates evidence keys against STAGE_EVIDENCE_LIBRARY, sanitizes channel_scripts, and creates the pipeline + stages atomically. No dedup — the caller is responsible for not posting the same draft twice.
Authorizations
Parameters
Header Parameters
Request Body required
object
key
additional properties
any
Responses
201
Successful Response
object
data
required
object
key
additional properties
any
pagination
Any of:
object
has_next
required
Whether there are more pages
boolean
limit
required
Items per page
integer
notes
Any of:
Array<string>
null
page
required
Current page number (1-indexed)
integer
total
required
Total number of items
integer
null
422
Validation Error
object
detail
Array<object>
object
loc
required
Array
msg
required
string
type
required
string